"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultEnvironmentConfig = void 0;
const environment_1 = require("../model/environment");
exports.defaultEnvironmentConfig = {
    [environment_1.Environment.Prod]: {
        apiBaseUrl: "https://api.bcc.no",
        tokenUrl: "https://login.bcc.no/oauth/token",
        oauthAudience: "api.bcc.no",
    },
    [environment_1.Environment.Sandbox]: {
        apiBaseUrl: "https://sandbox-api.bcc.no",
        tokenUrl: "https://bcc-sso-sandbox.eu.auth0.com/oauth/token",
        oauthAudience: "sandbox-api.bcc.no",
    },
    [environment_1.Environment.Dev]: {
        apiBaseUrl: "https://dev-api.bcc.no",
        tokenUrl: "https://bcc-sso-dev.eu.auth0.com/oauth/token",
        oauthAudience: "dev-api.bcc.no",
    },
    [environment_1.Environment.Emulator]: {
        apiBaseUrl: "http://localhost:3010",
        tokenUrl: "http://localhost:3020/token",
        oauthAudience: "localhost:3020",
    },
};
